clang 8.0.0

Functions
AArch64.cpp File Reference
`#include "AArch64.h"`
`#include "clang/Driver/Driver.h"`
`#include "clang/Driver/DriverDiagnostic.h"`
`#include "clang/Driver/Options.h"`
`#include "llvm/Option/ArgList.h"`
`#include "llvm/Support/TargetParser.h"`
Include dependency graph for AArch64.cpp:

Go to the source code of this file.

## Functions
static bool | isCPUDeterminedByTriple (const llvm::Triple &Triple)
static bool | DecodeAArch64Features (const Driver &D, StringRef text, std::vector< StringRef > &Features)
static bool | DecodeAArch64Mcpu (const Driver &D, StringRef Mcpu, StringRef &CPU, std::vector< StringRef > &Features)
static bool | getAArch64ArchFeaturesFromMarch (const Driver &D, StringRef March, const ArgList &Args, std::vector< StringRef > &Features)
static bool | getAArch64ArchFeaturesFromMcpu (const Driver &D, StringRef Mcpu, const ArgList &Args, std::vector< StringRef > &Features)
static bool | getAArch64MicroArchFeaturesFromMtune (const Driver &D, StringRef Mtune, const ArgList &Args, std::vector< StringRef > &Features)
static bool | getAArch64MicroArchFeaturesFromMcpu (const Driver &D, StringRef Mcpu, const ArgList &Args, std::vector< StringRef > &Features)

## Function Documentation

## ◆ DecodeAArch64Features()

static bool DecodeAArch64Features | ( | const Driver & | D,
|  | StringRef | text,
|  | std::vector< StringRef > & | Features
| ) |  |
| static

Definition at line 55 of file AArch64.cpp.

References clang::driver::Driver::Diag(), and Split.

Referenced by DecodeAArch64Mcpu(), and getAArch64ArchFeaturesFromMarch().

## ◆ DecodeAArch64Mcpu()

static bool DecodeAArch64Mcpu | ( | const Driver & | D,
|  | StringRef | Mcpu,
|  | StringRef & | CPU,
|  | std::vector< StringRef > & | Features
| ) |  |
| static

Definition at line 74 of file AArch64.cpp.

References DecodeAArch64Features(), getExtensionFeatures(), and Split.

Referenced by getAArch64ArchFeaturesFromMcpu(), getAArch64MicroArchFeaturesFromMcpu(), and getAArch64MicroArchFeaturesFromMtune().

## ◆ getAArch64ArchFeaturesFromMarch()

static bool getAArch64ArchFeaturesFromMarch | ( | const Driver & | D,
|  | StringRef | March,
|  | const ArgList & | Args,
|  | std::vector< StringRef > & | Features
| ) |  |
| static

Definition at line 101 of file AArch64.cpp.

References DecodeAArch64Features(), and Split.

Referenced by getAArch64MicroArchFeaturesFromMcpu().

## ◆ getAArch64ArchFeaturesFromMcpu()

static bool getAArch64ArchFeaturesFromMcpu | ( | const Driver & | D,
|  | StringRef | Mcpu,
|  | const ArgList & | Args,
|  | std::vector< StringRef > & | Features
| ) |  |
| static

Definition at line 117 of file AArch64.cpp.

References DecodeAArch64Mcpu().

Referenced by getAArch64MicroArchFeaturesFromMcpu().

## ◆ getAArch64MicroArchFeaturesFromMcpu()

static bool getAArch64MicroArchFeaturesFromMcpu | ( | const Driver & | D,
|  | StringRef | Mcpu,
|  | const ArgList & | Args,
|  | std::vector< StringRef > & | Features
| ) |  |
| static

Definition at line 150 of file AArch64.cpp.

References DecodeAArch64Mcpu(), clang::driver::Driver::Diag(), getAArch64ArchFeaturesFromMarch(), getAArch64ArchFeaturesFromMcpu(), getAArch64MicroArchFeaturesFromMtune(), clang::driver::tools::aarch64::getAArch64TargetCPU(), clang::driver::tools::aarch64::getAArch64TargetFeatures(), and isCPUDeterminedByTriple().

## ◆ getAArch64MicroArchFeaturesFromMtune()

static bool getAArch64MicroArchFeaturesFromMtune | ( | const Driver & | D,
|  | StringRef | Mtune,
|  | const ArgList & | Args,
|  | std::vector< StringRef > & | Features
| ) |  |
| static

Definition at line 129 of file AArch64.cpp.

References DecodeAArch64Mcpu().

Referenced by getAArch64MicroArchFeaturesFromMcpu().

## ◆ isCPUDeterminedByTriple()

static bool isCPUDeterminedByTriple | ( | const llvm::Triple & | Triple | ) |
| static

Returns
  true if the given triple can determine the default CPU type even if -arch is not specified.

Definition at line 24 of file AArch64.cpp.

References clang::driver::tools::aarch64::getAArch64TargetCPU().

Referenced by getAArch64MicroArchFeaturesFromMcpu().